Client Certificates

ClientCertificates

Methods

list(, ): <>
get/zones/{zone_id}/client_certificates

List all of your Zone's API Shield mTLS Client Certificates by Status and/or using Pagination

get(, , ):
get/zones/{zone_id}/client_certificates/{client_certificate_id}

Get Details for a single mTLS API Shield Client Certificate

create(, ):
post/zones/{zone_id}/client_certificates

Create a new API Shield mTLS Client Certificate

edit(, , ):
patch/zones/{zone_id}/client_certificates/{client_certificate_id}

If a API Shield mTLS Client Certificate is in a pending_revocation state, you may reactivate it with this endpoint.

delete(, , ):
delete/zones/{zone_id}/client_certificates/{client_certificate_id}

Set a API Shield mTLS Client Certificate to pending_revocation status for processing to revoked status.

Security

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example: Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY

Accepted Permissions (at least one required)

SSL and Certificates Write

Parameters
clientCertificateId: string
(maxLength: 32)

Identifier.

zone_id: string
(maxLength: 32)

Identifier.

Returns
id?: string
(maxLength: 32)

Identifier.

certificate?: string

The Client Certificate PEM

certificate_authority?:

Certificate Authority used to issue the Client Certificate

common_name?: string

Common Name of the Client Certificate

country?: string

Country, provided by the CSR

csr?: string

The Certificate Signing Request (CSR). Must be newline-encoded.

expires_on?: string

Date that the Client Certificate expires

fingerprint_sha256?: string

Unique identifier of the Client Certificate

issued_on?: string

Date that the Client Certificate was issued by the Certificate Authority

location?: string

Location, provided by the CSR

organization?: string

Organization, provided by the CSR

organizational_unit?: string

Organizational Unit, provided by the CSR

serial_number?: string

The serial number on the created Client Certificate.

signature?: string

The type of hash used for the Client Certificate..

ski?: string

Subject Key Identifier

state?: string

State, provided by the CSR

status?:

Client Certificates may be active or revoked, and the pending_reactivation or pending_revocation represent in-progress asynchronous transitions

validity_days?: number

The number of days the Client Certificate will be valid after the issued_on date

Request example
200Example

Domain types

ClientCertificate{…}